subset.section {oce} | R Documentation

## Subset a section object

### Description

Subset a section object

### Usage

    ## S4 method for signature 'section'
    subset(x, subset, ...)

### Arguments

`x` | a `section` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | may include `debug`, to set a debugging level.

### Details

This function is somewhat analogous to `subset.data.frame`. The condition set by `subset` may be in terms of `stationId` or any combination of `longitude`, `latitude` and `time`. However, `stationId` may not be combined with the others; to get that effect, call this function more than once.

### Value

A new `section` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(section)
    GS <- subset(section, 109<=stationId&stationId<=129)

[Package oce version 0.9-18 Index]